Subject: Re: [PATCH v2 1/6] midx: add MIDX_PROGRESS flag <snip>

From: Junio C Hamano <[email-masked]>
Date: Wed, 02 Oct 2019 14:38:24 +0900

William Baker <[email-masked]> writes:

> I saw that the code base is currently a mix of #define and enums when it
> comes to flags  (e.g. dir_struct.flags and rebase_options.flags are both
> enums) and so using one here would not be something new stylistically.

Yes.  But it is a different matter to spread a bad practice to
parts of the code that haven't been contaminated by it.